> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Download Histories

> Downloads the entities as a ZIP file by their history IDs.



## OpenAPI

````yaml /openapi/openapi_audit_logs.json get /history/{rightHistoryId}/{leftHistoryId}/download
openapi: 3.0.1
info:
  description: OpenAPI Spec for Kibo Audit Logs Web API
  title: Audit Logs Web
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /history/{rightHistoryId}/{leftHistoryId}/download:
    get:
      tags:
        - History
      summary: Download Histories
      description: Downloads the entities as a ZIP file by their history IDs.
      parameters:
        - description: The ID of the right history record.
          in: path
          name: rightHistoryId
          required: true
          schema:
            type: string
        - description: The ID of the left history record.
          in: path
          name: leftHistoryId
          required: true
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````